# Created by pyp2rpm-3.3.1
%global pypi_name defcon

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %mkrel 1
Summary:        A set of flexible objects for representing UFO data
Group:          Development/Python
License:        MIT
URL:            https://github.com/typesupply/defcon
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.zip
Patch0:         utf-8.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fontpens)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(setuptools)

%description
Defcon is a set of UFO based objects optimized for use in font editing
applications. The objects are built to be lightweight, fast and flexible.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fontpens) >= 0.1.0
Requires:       python3dist(fonttools) >= 3.1.2

%description -n python3-%{pypi_name}
Defcon is a set of UFO based objects optimized for use in font editing
applications. The objects are built to be lightweight, fast and flexible.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license License.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Jun 21 2020 wally <wally> 0.7.2-1.mga8
+ Revision: 1598201
- new version 0.7.2

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1532706
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.6.0-4.mga8
+ Revision: 1442777
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.6.0-3.mga8
+ Revision: 1435592
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.6.0-2.mga7
+ Revision: 1351428
- Rebuild for python3 3.7

* Sat Dec 01 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1337122
- new version 0.6.0

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1288569
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 0.5.1-1.mga7
+ Revision: 1226582
- imported package python-defcon

